{% extends 'base.html' %}
{% block title %}{{ myuser.username }}{% endblock %}

{% load mathfilters %}

{% block body %}
<div class="p-4">
    <h1 class="display-4">Profil de {{ myuser.username }} ! <span class="lead">Voici son profil public</span>
    </h1>
    <p class="lead">Karma: {{ myuser.karma }}</p>
    <p class="lead mb-0">{{ myuser.username }} est...</p>
    <div class="form-group" style="font-size: 1.4em">
        {% if myuser.is_staff == 1 %}
        <span class="badge badge-pill badge-danger">Staff</span>
        {% endif %}
        {% if myuser.financeur == 1 %}
        <span class="badge badge-pill badge-primary">Financeur</span>
        {% endif %}
        {% if myuser.evaluateur == 1 %}
        <span class="badge badge-pill badge-warning">Evaluateur</span>
        {% endif %}
        {% if myuser.porteur == 1 %}
        <span class="badge badge-pill badge-success">Porteur</span>
        {% endif %}
    </div>
</div>

<h1 class="lead display-4 p-4">Les projets de {{ myuser.username }}
    {% load static %}
    <img src="{% static 'img/img.png' %}" width="50">
</h1>
<div class="card-group wrapper p-2" style="display: grid;grid-template-columns: repeat(3, 1fr); grid-gap: 10px;">
    {% for project in projects %}
    <div class="card pa-3" style="border: 2px solid lightgray; border-radius: 12px">
        <div class="card-body">
            <h5 class="card-title">{{ project.titre }}</h5>
            <p><strong>Etat :</strong> {{ project.etat }}</p>
            <p><strong>Karma :</strong> {{ project.karma }}</p>
            <p class="card-text">{% autoescape off %}{{ project.description }}{% endautoescape %}</p>

        </div>
        <div class="card-footer bg-transparent border-0">
            <div class="progress">
                <div class="progress-bar bg-success" role="progressbar"
                     style="width:{{ project.montant|div:project.montantMax|mul:100 }}%"
                     aria-valuemin="0" aria-valuemax="100"></div>
            </div>
            <p>{{ project.montant }} / <strong>{{ project.montantMax }}€</strong></p>
            {% if user.is_authenticated %}
            <a href="/projects/{{ project.id }}" class="btn btn-success">Voir le projet</a>
            {% endif %}
        </div>
    </div>
    {% endfor %}
</div>
{% endblock %}